Anonymous Login
2019-07-16 03:05 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001110Pending Requests[All Projects] Generalpublic2013-07-04 23:24
Reportertsdjim 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary0001110: Active Directory error
DescriptionI get the following error when I try to login using the AD credentials.

PHP Warning: ldap_bind() [<a href='function.ldap-bind'>function.ldap-bind</a>]: Unable to bind to server: Invalid credentials in /opt/pifss/web2project-2.4/classes/w2p/Authenticators/LDAP.class.php on line 67
 
This is the definition for the AD Information, is this correctly specified or do I need to specify the objectClass:

LDap Base DN: DC=mycomp,DC=local
LDAP Host: <IP>
LDAP Port: 389
LDAP Search User: TSDPORTAL
LDAP Search User Password: mypass
LDAP User Filter: ((Objectclass=*)(sAMAccountName=%USERNAME%))
Version: 3

I looked at the LDAP Broken issue and made the following changes to LDAP.class.php but I still get the same error:

$ldap_bind_dn = 'CN='.$this->ldap_search_user.','.$this->base_dn;

Any way to set debug on to see what is being generated?
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0000947closedcaseydk v3.0 Release LDAP authentication fails if the BINDDN is given as a complete DN 
related to 0001143closedcaseydk Pending Requests LDAP does not work 
+Relationships

-Notes

~0002637

lukeD (reporter)

You can see what is being generated by adding "error_log($ldap_bind_dn);" and check your apache error log.

That said, try setting "Full LDAP Connect String" to "TDSPORTAL@mycomp.local".

LDAP still has some other issues so this will only get you to passed the authentication.

~0002674

caseydk (administrator)

Dupe of 0000947
+Notes

-Issue History
Date Modified Username Field Change
2012-03-26 03:35 tsdjim New Issue
2012-04-21 19:07 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-07-29 10:15 caseydk Relationship added related to 0001143
2012-08-13 22:57 caseydk Category -- none specified -- => Core Infrastructure
2012-08-13 22:57 caseydk Product Version 2.4 =>
2012-08-20 02:45 lukeD Note Added: 0002637
2012-10-28 20:20 caseydk Relationship added duplicate of 0000947
2012-10-28 20:20 caseydk Note Added: 0002674
2012-10-28 20:20 caseydk Status new => closed
2012-10-28 20:20 caseydk Resolution open => duplicate
2013-07-04 23:24 caseydk Project v3.0 Release => Pending Requests
+Issue History